#2745 closed defect (fixed)

Use clock from pthread_condattr in pthread_cond_timedwait

Reported by: Gedare Bloom Owned by: Gedare Bloom
Priority: normal Milestone: 5.1
Component: posix Version: 4.11
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

For pthread_cond_timedwait, the condition variable shall have a clock attribute which specifies the clock that shall be used to measure the time specified by the abstime argument. RTEMS currently does not honor the clock attribute.

See http://pubs.opengroup.org/onlinepubs/9699919799/functions/pthread_cond_timedwait.html

Change History (5)

comment:1 Changed on Jun 23, 2016 at 8:10:22 PM by Gedare Bloom

Owner: set to Gedare Bloom
Status: newassigned

comment:2 Changed on May 11, 2017 at 7:31:02 AM by Sebastian Huber

Milestone: 4.124.12.0

comment:3 Changed on Jun 30, 2017 at 1:24:31 PM by Gedare Bloom

Resolution: fixed
Status: assignedclosed

comment:4 Changed on Oct 16, 2017 at 6:17:09 AM by Sebastian Huber

Component: scoreposix

comment:5 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.